Package com.pixelmed.display

## Class DicomImageBlackout.PixelPaddingBlackoutValueChangeListener

- java.lang.Object
- - com.pixelmed.display.DicomImageBlackout.PixelPaddingBlackoutValueChangeListener

- All Implemented Interfaces:
    `java.util.EventListener`, `javax.swing.event.ChangeListener`
  Enclosing class:
    DicomImageBlackout

      protected class DicomImageBlackout.PixelPaddingBlackoutValueChangeListener
      extends java.lang.Object
      implements javax.swing.event.ChangeListener

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PixelPaddingBlackoutValueChangeListener​(DicomImageBlackout application, EventContext eventContext)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `stateChanged​(javax.swing.event.ChangeEvent e)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PixelPaddingBlackoutValueChangeListener

          public PixelPaddingBlackoutValueChangeListener​(DicomImageBlackout application,
                                                         EventContext eventContext)

  - ### Method Detail

    - #### stateChanged

          public void stateChanged​(javax.swing.event.ChangeEvent e)

      Specified by:
        `stateChanged` in interface `javax.swing.event.ChangeListener`